Package org.codehaus.plexus.util.cli

# Class EnhancedStringTokenizer

java.lang.Object
org.codehaus.plexus.util.cli.EnhancedStringTokenizer

public final class EnhancedStringTokenizer extends Object
The java.util.StringTokenizer is horribly broken. Given the string 1,,,3,,4 (, delim) It will return 1,3,4 Which is clearly wrong - 1,EMPTY,EMPTY,3,EMPTY,4 is what it should return

## Constructor Summary

Constructors
Constructor
Description
`EnhancedStringTokenizer(String str)`
`EnhancedStringTokenizer(String str, String delim)`
`EnhancedStringTokenizer(String str, String delim, boolean returnDelims)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasMoreTokens()`
`String`
`nextToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnhancedStringTokenizer

public EnhancedStringTokenizer(String str)

### EnhancedStringTokenizer

public EnhancedStringTokenizer(String str, String delim)

### EnhancedStringTokenizer

public EnhancedStringTokenizer(String str, String delim, boolean returnDelims)

## Method Details

### hasMoreTokens

public boolean hasMoreTokens()

### nextToken

public String nextToken()